## leafnode 1.0

=== Makefile ===
# -*- makefile -*-
# $Id: Makefile,v 1.12 1996/06/23 21:33:52 agulbra Exp $
CC = gcc
DEBUG = -g -Wall -Wformat -Wstrict-prototypes -Wmissing-prototypes 
CFLAGS = $(DEBUG)
LIBS = 
BINDIR = /usr/local/sbin
MANDIR = /usr/local/man
VERSION = 1.0
#
# this is the directory where the news is stored.
SPOOLDIR = /var/spool/news
#
# this is the directory where the configuration and group information is
# kept.  It should preferably not be on the same partition as spooldir
LIBDIR = /usr/lib/leafnode

all: nntpd fetch texpire

nntpd: nntpd.o util.o config.o
	$(CC) -o $@ nntpd.o util.o config.o

fetch: fetch.o util.o config.o
	$(CC) -o $@ fetch.o util.o config.o

texpire: texpire.o util.o config.o
	$(CC) -o $@ texpire.o util.o config.o

clean:
	-@rm -f *.o core nntpd fetch texpire

depend:
	makedepend *.c 2> /dev/null

config.o: config.c Makefile
	$(CC) -c -DSPOOLDIR=\"$(SPOOLDIR)\" -DLIBDIR=\"$(LIBDIR)\" $<

install: nntpd fetch texpire
	cp nntpd $(BINDIR)/leafnode
	cp fetch $(BINDIR)/fetch
	cp texpire $(BINDIR)/texpire
	cp *.8 $(MANDIR)/man8
	-mkdir -p $(SPOOLDIR) $(LIBDIR)
	-mkdir -p $(SPOOLDIR)/{message.id,interesting.groups,out.going}
	# this is actually quite fast, for _small_ servers
	cd $(SPOOLDIR)/message.id
	for a in 0 1 2 3 4 5 6 7 8 9 ; do for b in 0 1 2 3 4 5 6 7 8 9 ; do \
		mkdir ${a}${b}0 ${a}${b}1 ${a}${b}2 ${a}${b}3 ${a}${b}4 ; \
		mkdir ${a}${b}5 ${a}${b}6 ${a}${b}7 ${a}${b}8 ${a}${b}9 ; \
		done ; done
	cp config.example $(LIBDIR)
	chown -R news.news $(LIBDIR) $(SPOOLDIR)
	chmod 2750 $(SPOOLDIR)
	chmod 750 $(BINDIR)/{leafnode,fetch,texpire}
	chown news.news $(BINDIR)/{leafnode,fetch,texpire}
	@echo edit /etc/inetd.conf to start $(BINDIR)/leafnode

dist:
	mkdir leafnode-$(VERSION)
	sed 's/^VERSION *= *[0-9.]*/VERSION = '$(VERSION)'/' \
		 < Makefile > leafnode-$(VERSION)/Makefile
	cp *[a-z].8 leafnode.h INSTALL README COPYING config.example \
		nntpd.c texpire.c fetch.c util.c config.c \
		archivefaq.pl newsq leafnode-$(VERSION)
	chmod 644 leafnode-$(VERSION)/*
	tar cf leafnode-$(VERSION).tar leafnode-$(VERSION)
	gzip -f9 leafnode-$(VERSION).tar
	rm -rf leafnode-$(VERSION)

## leafnode 1.4

=== Makefile ===
# -*- makefile -*-
# $Id: Makefile,v 1.16 1997/07/20 00:28:31 agulbra Exp $
CC = gcc
DEBUG = -g -Wall -Wformat -Wstrict-prototypes -Wmissing-prototypes 
CFLAGS = $(DEBUG)
LIBS = 
BINDIR = /usr/local/sbin
MANDIR = /usr/local/man
VERSION = 1.4
#
# this is the directory where the news is stored.
SPOOLDIR = /var/spool/news
#
# this is the directory where the configuration and group information is
# kept.  It should preferably not be on the same partition as spooldir
LIBDIR = /usr/lib/leafnode
#
# This is the lock file for fetch.  The normal locations for such lock
# files are /var/run or /var/lock.
LOCKFILE = "/var/run/news/fetch.lck"

all: nntpd fetch texpire checkgroups

nntpd: nntpd.o util.o config.o
	$(CC) -g -o $@ nntpd.o util.o config.o

fetch: fetch.o util.o config.o
	$(CC) -o $@ fetch.o util.o config.o

texpire: texpire.o util.o config.o
	$(CC) -o $@ texpire.o util.o config.o

checkgroups: checkgroups.o util.o config.o
	$(CC) -o $@ checkgroups.o util.o config.o

clean:
	-@rm -f *.o core nntpd fetch texpire checkgroups

depend:
	makedepend *.c 2> /dev/null

config.o: config.c Makefile
	$(CC) -c -DSPOOLDIR=\"$(SPOOLDIR)\" \
		-DLIBDIR=\"$(LIBDIR)\" \
		-DLOCKFILE=\"$(LOCKFILE)\" \
		-DVERSION=\"$(VERSION)\" $<

install: nntpd fetch texpire checkgroups
	cp nntpd $(BINDIR)/leafnode
	cp fetch $(BINDIR)/fetch
	cp texpire $(BINDIR)/texpire
	cp checkgroups $(BINDIR)/checkgroups
	cp *.8 $(MANDIR)/man8
	-mkdir -p /var/run/news
	chown news.news /var/run/news
	-mkdir -p $(SPOOLDIR) $(LIBDIR)
	-mkdir -p $(SPOOLDIR)/{message.id,interesting.groups,out.going}
	cd $(SPOOLDIR)/message.id ; for a in 0 1 2 3 4 5 6 7 8 9 ; do \
		for b in 0 1 2 3 4 5 6 7 8 9 ; do \
			mkdir -p $${a}$${b}0 $${a}$${b}1 $${a}$${b}2 \
				$${a}$${b}3 $${a}$${b}4 $${a}$${b}5 \
				$${a}$${b}6 $${a}$${b}7 $${a}$${b}8 \
				$${a}$${b}9 ; \
			done ; done
	cp config.example $(LIBDIR)
	chown -R news.news $(LIBDIR) $(SPOOLDIR)
	chmod 2750 $(SPOOLDIR)
	chmod 750 $(BINDIR)/{leafnode,fetch,texpire,checkgroups}
	chown news.news $(BINDIR)/{leafnode,fetch,texpire,checkgroups}
	@echo edit /etc/inetd.conf to start $(BINDIR)/leafnode

dist:
	mkdir leafnode-$(VERSION)
	sed 's/^VERSION *= *[0-9.]*/VERSION = '$(VERSION)'/' \
		 < Makefile > leafnode-$(VERSION)/Makefile
	cp *[a-z].8 leafnode.h INSTALL README COPYING config.example \
		nntpd.c texpire.c fetch.c checkgroups.c util.c config.c \
		archivefaq.pl newsq leafnode-$(VERSION)
	chmod 644 leafnode-$(VERSION)/*
	tar cf leafnode-$(VERSION).tar leafnode-$(VERSION)
	gzip -f9 leafnode-$(VERSION).tar
	rm -rf leafnode-$(VERSION)

## leafnode 1.6.2

=== Makefile ===
# -*- makefile -*-
# $Id: Makefile,v 1.16 1997/07/20 00:28:31 agulbra Exp $
SHELL = /bin/sh
CC = gcc
DEBUG = -g -Wall -Wformat -Wstrict-prototypes -Wmissing-prototypes 
CFLAGS = $(DEBUG)
LIBS = 
PREFIX_USR = /usr/local
PREFIX_VAR = /var
BINDIR = $(PREFIX_USR)/sbin
MANDIR = $(PREFIX_USR)/man
VERSION = 1.6.2
#
# this is the directory where the news is stored.
SPOOLDIR = $(PREFIX_VAR)/spool/news
#
# this is the directory where the configuration and group information is
# kept.  It should preferably not be on the same partition as spooldir
LIBDIR = /usr/lib/leafnode
#
# This is the lock file for fetch.  The normal locations for such lock
# files are /var/run or /var/lock.
LOCKFILE = "/var/lock/news/fetch.lck"

LIBFILES = nntputil.o configutil.o xoverutil.o activutil.o miscutil.o

all: libutil.a nntpd fetch texpire checkgroups

libutil.a: $(LIBFILES) leafnode.h
	$(AR) rc libutil.a $(LIBFILES)
	$(AR) s libutil.a

nntpd: nntpd.o config.o libutil.a
	$(CC) -g -o $@ nntpd.o config.o libutil.a

fetch: fetch.o config.o libutil.a
	$(CC) -o $@ fetch.o config.o libutil.a

texpire: texpire.o config.o libutil.a
	$(CC) -o $@ texpire.o config.o libutil.a

checkgroups: checkgroups.o config.o libutil.a
	$(CC) -o $@ checkgroups.o config.o libutil.a

nntpd.o: nntpd.c leafnode.h
	$(CC) -c $(CFLAGS) nntpd.c

fetch.o: fetch.c leafnode.h
	$(CC) -c $(CFLAGS) fetch.c

texpire.o: texpire.c leafnode.h
	$(CC) -c $(CFLAGS) texpire.c

checkgroups.o: checkgroups.c leafnode.h
	$(CC) -c $(CFLAGS) checkgroups.c

clean:
	@rm -f *.o *.a core nntpd fetch texpire checkgroups

update:
	@./update.sh $(SPOOLDIR) $(LIBDIR)

depend:
	makedepend *.c 2> /dev/null

config.o: config.c Makefile
	$(CC) -c -DSPOOLDIR=\"$(SPOOLDIR)\" \
		-DLIBDIR=\"$(LIBDIR)\" \
		-DBINDIR=\"$(BINDIR)\" \
		-DLOCKFILE=\"$(LOCKFILE)\" \
		-DVERSION=\"$(VERSION)\" $<

install: nntpd fetch texpire checkgroups
	install -d -o root -g root -m 755 $(MANDIR)/man1
	install -d -o root -g root -m 755 $(MANDIR)/man8
	install -d -o root -g bin -m 755 $(BINDIR)
	install -g news -m 750 -o news -s nntpd $(BINDIR)/leafnode
	install -g news -m 750 -o news -s fetch $(BINDIR)/fetch
	install -g news -m 750 -o news -s texpire $(BINDIR)/texpire
	install -g news -m 750 -o news -s checkgroups $(BINDIR)/checkgroups
	cp *.8 $(MANDIR)/man8
	cp *.1 $(MANDIR)/man1
	-mkdir -p `dirname $(LOCKFILE)`
	chown news.news `dirname $(LOCKFILE)`
	-mkdir -p $(SPOOLDIR) $(LIBDIR)
	-mkdir -p $(SPOOLDIR)/leaf.node
	-mkdir -p $(SPOOLDIR)/{message.id,interesting.groups,out.going}
	-chown news.news $(SPOOLDIR) $(LIBDIR)
	-chown news.news $(SPOOLDIR)/leaf.node
	-chown news.news $(SPOOLDIR)/{message.id,interesting.groups,out.going}
	cd $(SPOOLDIR)/message.id ; for a in 0 1 2 3 4 5 6 7 8 9 ; do \
		for b in 0 1 2 3 4 5 6 7 8 9 ; do \
			mkdir -p $${a}$${b}0 $${a}$${b}1 $${a}$${b}2 \
				$${a}$${b}3 $${a}$${b}4 $${a}$${b}5 \
				$${a}$${b}6 $${a}$${b}7 $${a}$${b}8 \
				$${a}$${b}9 ; \
			chown news.news $${a}$${b}0 $${a}$${b}1 $${a}$${b}2 \
				$${a}$${b}3 $${a}$${b}4 $${a}$${b}5 \
				$${a}$${b}6 $${a}$${b}7 $${a}$${b}8 \
				$${a}$${b}9 ; \
			done ; done
	cp config.example $(LIBDIR)
	chmod 2755 $(SPOOLDIR)
	@echo Edit /etc/inetd.conf to start $(BINDIR)/leafnode and restart inetd
	@echo If you update from a leafnode version \< 1.6, do a "make update"

uninstall:
	-rm $(BINDIR)/{fetch,checkgroups,texpire,leafnode}
	-rm $(MANDIR)/man8/{fetch.8,checkgroups.8,texpire.8,leafnode.8}
	-rm $(MANDIR)/man1/newsq.1
	-rm -r $(LIBDIR)
	-rm -r $(SPOOLDIR)/leaf.node
	-rm -r $(SPOOLDIR)/interesting.groups
	-rm -r $(SPOOLDIR)/message.id/*
	-rmdir $(SPOOLDIR)/out.going
	@echo Edit /etc/inetd.conf to remove $(BINDIR)/leafnode and restart inetd

dist:
	mkdir -p leafnode-$(VERSION)
	cp *[a-z].8 newsq.1 leafnode.h *.c archivefaq.pl Makefile newsq \
		INSTALL README COPYING TODO CHANGES config.example \
		update.sh leafnode-$(VERSION).lsm \
		leafnode-$(VERSION)
	chmod 644 leafnode-$(VERSION)/*
	chmod 755 leafnode-$(VERSION)/update.sh
	chmod 755 leafnode-$(VERSION)/newsq
	tar cf leafnode-$(VERSION).tar leafnode-$(VERSION)
	gzip -f9 leafnode-$(VERSION).tar
	rm -rf leafnode-$(VERSION)

patch:
	rm -f ../leafnode-$(VERSION).patch
	rm -f ../leafnode-$(VERSION).patch.gz
	@for i in * ; \
	do \
	  if [ -e $$i.orig ] ; \
	  then \
	    echo "diff --unified $$i.orig $$i" ; \
	    diff --unified $$i.orig $$i >> ../leafnode-$(VERSION).patch ; \
	  fi ; \
	done
	gzip -f9 ../leafnode-$(VERSION).patch
# DO NOT DELETE

## leafnode 1.11.8

=== debian/changelog ===
leafnode (1.11.8-1) unstable; urgency=low

  * New upstream release.
     - Fix file descriptor leak in getbody_newno() (closes: #568128).
  * Added Danish Debconf translation, kindly provided by
    Joe Hansen <joedalton2@yahoo.dk> (closes: #581055).
  * Depend on netbase.  
  * Standards version 3.8.4 (no changes).
  * Switch to dpkg source 3.0 (quilt) format.

 -- Robert Grimm <rob@robgri.de>  Sun, 13 Jun 2010 20:41:10 +0200

leafnode (1.11.7.rel-2) unstable; urgency=low

  * Standards version 3.8.3 (no changes).
  * Mentioned in README.Debian that the need to use touch_newsgroups is
    considered a bug.
  * Removed tabstop in the last line of filters (closes: #424949).
  * New Maintainer (closes: #536023).

 -- Robert Grimm <rob@robgri.de>  Thu, 17 Dec 2009 09:40:57 +0100

leafnode (1.11.7.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 21 Apr 2009 21:38:26 +0100

leafnode (1.11.7.rc4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 14 Apr 2009 19:41:16 +0100

leafnode (1.11.7.rc3-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 24 Mar 2009 20:15:33 +0000

leafnode (1.11.7.rc2-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.8.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 21 Feb 2009 12:10:44 +0000

leafnode (1.11.7.rc1-10) unstable; urgency=low

  * Updated Spanish translation of the Debconf templates, kindly provided
    by Francisco Javier Cuadrado <fcocuadrado@gmail.com> (closes: #508730).

 -- Mark Brown <broonie@debian.org>  Sun, 14 Dec 2008 19:58:35 +0000

leafnode (1.11.7.rc1-9) unstable; urgency=low

  * Updated Swedish translation of the Debconf templates, kindly provided
    by Martin Ågren <martin.agren@gmail.com> (closes: #492750).

 -- Mark Brown <broonie@debian.org>  Mon, 28 Jul 2008 18:24:14 +0100

leafnode (1.11.7.rc1-8) unstable; urgency=low

  * Add regenerated versions of all the recently submitted Debconf template
    translations from Christian Perrier (closes: #466230).

 -- Mark Brown <broonie@debian.org>  Fri, 07 Mar 2008 19:02:00 +0000

leafnode (1.11.7.rc1-7) unstable; urgency=low

  * Include updated Russian translation of the Debconf templates, kindly
    provided by Yuri Kozlov <kozlov.y@gmail.com> (closes: #469327).

 -- Mark Brown <broonie@debian.org>  Tue, 04 Mar 2008 18:39:45 +0000

leafnode (1.11.7.rc1-6) unstable; urgency=low

  * Include updated French translation of the Debconf templates, kindly
    provided by Florent USSEIL <swiip81@free.fr> (closes: #468808).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Mar 2008 11:27:29 +0000

leafnode (1.11.7.rc1-5) unstable; urgency=low

  * Include Finnish translation of the debconf templates, kindly provided by
    Esko Arajärvi <edu@iki.fi> (closes: #468210).

 -- Mark Brown <broonie@debian.org>  Sat, 01 Mar 2008 10:45:28 +0000

leafnode (1.11.7.rc1-4) unstable; urgency=low

  * Apply changes created by the Smith review project to Debconf templates
    and the control file (closes: #466230).
  * Include updated Catalan Debconf translation kindly provided by Piarres
    Beobide <pi+debian@beobide.net> (closes: #466358).
  * Include updated Czech Debconf translation kindly provided by Martin
    Šín <martin.sin@zshk.cz> (closes: #466383).
  * Include new Galician Debconf translation kindly provided by Jacobo 
    Tarrio <jtarrio@trasno.net> (closes: #466466).
  * Include updated Portuguese Debconf translation kindly provided by Américo
    Monteiro <a_monteiro@netcabo.pt> (closes: #466787).
  * Include updated German Debconf translation kindly provided by Jonas E.
    Huber <debian@hubjo.org> (closes: #467044).
  * Include updated Vietnamese Debconf translation kindly provided by Clytie
    Siddall <clytie@riverland.net.au> (closes: #467115).
  * Include updated Dutch Debconf translation kindly provided by Bart
    Cornelis <cobaco@skolelinux.no> (closes: #467416).

 -- Mark Brown <broonie@debian.org>  Mon, 25 Feb 2008 11:50:31 +0000

leafnode (1.11.7.rc1-3) unstable; urgency=low

  * Included updated Portugese Debconf translation, kindly provided by
    Américo Monteiro <a_monteiro@netcabo.pt> (closes: #464736).

 -- Mark Brown <broonie@debian.org>  Sun, 10 Feb 2008 11:25:14 +0000

leafnode (1.11.7.rc1-2) unstable; urgency=low

  * Include updated Vietnamese Debconf translation, kindly provided by Clytie
    Siddall <clytie@riverland.net.au> (closes: #463511).
  * Include updated German Debconf transltion, kindly provided by Jonas E.
    Huber <jonas@hubjo.org>.

 -- Mark Brown <broonie@debian.org>  Sat, 02 Feb 2008 13:31:22 +0000

leafnode (1.11.7.rc1-1) unstable; urgency=low

  * New upstream release.
  * Works around buggy upstream server Path handling (closes: #459980).
  * Add some more logcheck ignores (closes: #433720).
  * Updates to debconf templates.  More work is needed here so translators
    should probably hold off on updating.
  * Policy 3.7.3 (no changes).
  * Use debhelper compatibility level 6 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 26 Jan 2008 11:12:00 +0000

leafnode (1.11.6-5) unstable; urgency=low

  * Add Portuguese translation of the Debconf templates, kindly provided by
    Américo Monteiro <a_monteiro@netcabo.pt> (closes: #436745).

 -- Mark Brown <broonie@debian.org>  Fri, 10 Aug 2007 10:04:32 +0100

leafnode (1.11.6-4) unstable; urgency=low

  * Depend on openbsd-inetd | inet-superserver instead of netbase.

 -- Mark Brown <broonie@debian.org>  Sun, 29 Jul 2007 10:24:02 +0100

leafnode (1.11.6-3) unstable; urgency=low

  * Add Spanish translation of the debconf templates, kindly provided by
    Rudy Godoy <rudy@stone-head.org> (closes: #423676).
  * Clean up old never triggered prompts for upgrades.

 -- Mark Brown <broonie@debian.org>  Sun, 13 May 2007 21:47:18 +0100

leafnode (1.11.6-2) unstable; urgency=low



=== debian/control ===
Source: leafnode
Section: news
Priority: extra
Maintainer: Robert Grimm <rob@robgri.de> 
Standards-Version: 3.8.4
Build-Depends: libpcre3-dev, debhelper (>= 7.0.15)

Package: leafnode
Architecture: any
Provides: news-transport-system
Conflicts: news-transport-system, newsx
Depends: netbase, openbsd-inetd | inet-superserver, tcpd, logrotate, ${shlibs:Depends}, ${misc:Depends}
Suggests: slrn | news-reader, ${perl:Depends} 
Homepage: http://leafnode.org/
Description: NNTP server for small sites
 Leafnode is a news server suitable for small, limited-bandwidth sites 
 with only a few users ('leaf' sites). It keeps track of which groups
 are being read, and downloads only articles in those groups. Leafnode
 has been designed to require no maintenance and to be easy to set up.
 .
 Perl is required to use some optional features of the package for
 handling very low volume newsgroups.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	cp FAQ.* debian
	cp t.pcre_extract debian
	./configure --prefix=/usr --with-spooldir=/var/spool/news \
	    --sysconfdir=/etc/news/leafnode
	$(MAKE)
	$(MAKE) README-FQDN
	$(MAKE) check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	if [ -f Makefile ]; then $(MAKE) -i distclean ; fi
	rm -f config.log
	-mv debian/FAQ.* .
	-mv debian/t.pcre_extract .
	rm -f debian/*~
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) DESTDIR=debian/leafnode/ mandir=/usr/share/man install
	rm debian/leafnode/etc/news/leafnode/config.example
	rm debian/leafnode/etc/news/leafnode/*.dist
	rm debian/leafnode/etc/news/leafnode/UNINSTALL-daemontools
	cp debian/filters debian/leafnode/etc/news/leafnode/
	cp debian/touch_newsgroup debian/leafnode/usr/bin
	cp debian/touch_newsgroup.1 debian/leafnode/usr/share/man/man1
	dh_installdocs
	cp config.example debian/leafnode/usr/share/leafnode
	cp debian/debian-config debian/leafnode/usr/share/leafnode
	cp debian/do-fetch-news debian/leafnode/etc/news/leafnode/do-fetch-news
	dh_installexamples tools/archivefaq.pl filters.example
	(cd debian/leafnode/usr/share/doc/leafnode/examples ; ln -s ../../../leafnode/config.example . )
	dh_installdebconf
	dh_installcron
	dh_installchangelogs
	dh_installppp
	dh_installlogcheck
	dh_installlogrotate
	dh_strip
	dh_compress
	dh_fixperms
	chown -R news:news debian/leafnode/var/spool/news
	chmod 2755 debian/leafnode/var/spool/news
	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
	rm debian/leafnode/etc/news/leafnode/filters.example
#	chown news.news debian/leafnode/etc/news/leafnode/config
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## leafnode 1.11.10

=== debian/changelog ===
leafnode (1.11.10-3) unstable; urgency=medium

  * Flip maintainer/uploader
  * Cleanups

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 16 Aug 2015 17:44:47 +0200

leafnode (1.11.10-2) unstable; urgency=medium

  * base-passwd 3.5.30 changed the shell of the "news" system user to
    nologin. Fix the daily cron job to use a shell, otherwise old
    articles are no longer expired. Thanks to Jan Braun for the
    report! (Closes: #759869)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 20 Mar 2015 14:45:52 +0100

leafnode (1.11.10-1) unstable; urgency=medium

  * New upstream release, patches getaddrinfo and whoami
    have been merged upstream 
  * Add myself as co-maintainer to help out a bit
  * Add Japanese debconf translatation, thanks "victory" (Closes: #718919)
  * Bump standards version
  * Don't install upstream installation instructions, spotted by Lintian

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 25 Jun 2014 19:18:15 +0200

leafnode (1.11.8-3) unstable; urgency=low

  * Avoid segfault in whoami() (closes: #667998).
  * Enable all hardened build flags.

 -- Robert Grimm <rob@robgri.de>  Mon, 16 Apr 2012 08:15:46 +0200

leafnode (1.11.8-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
  * Italian (Dario Santamaria).  Closes: #615879
  * Polish (Michał Kułach).  Closes: #665306

  [ Robert Grimm ]
  * Enabled hardened build flags.
  * postinst cleanup.
  * Standards version 3.9.3 (no changes).
  * Added two patches from upstream git.
     - Add IPv6 support to whoami().
     - Use AF_UNSPEC for getaddrinfo.

 -- Robert Grimm <rob@robgri.de>  Fri, 06 Apr 2012 15:56:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: leafnode
 Section: news
 Priority: extra
-Maintainer: Robert Grimm <rob@robgri.de> 
-Standards-Version: 3.8.4
-Build-Depends: libpcre3-dev, debhelper (>= 7.0.15)
+Maintainer: Moritz Muehlenhoff <jmm@debian.org>
+Uploaders: Robert Grimm <rob@robgri.de> 
+Standards-Version: 3.9.6
+Build-Depends: libpcre3-dev, debhelper
 
 Package: leafnode
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,20 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+dpkg-buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	cp FAQ.* debian
 	cp t.pcre_extract debian
-	./configure --prefix=/usr --with-spooldir=/var/spool/news \
-	    --sysconfdir=/etc/news/leafnode
+	./configure \
+		--prefix=/usr \
+		--with-spooldir=/var/spool/news \
+		--sysconfdir=/etc/news/leafnode \
+		$(shell $(dpkg-buildflags) --export=configure)
 	$(MAKE)
 	$(MAKE) README-FQDN
 	$(MAKE) check
@@ -63,7 +69,6 @@
 	chmod 2755 debian/leafnode/var/spool/news
 	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
 	rm debian/leafnode/etc/news/leafnode/filters.example
-#	chown news.news debian/leafnode/etc/news/leafnode/config
 	dh_installdeb
 	dh_perl
 	dh_shlibdeps

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/ \
http://www.dt.e-technik.uni-dortmund.de/~ma/leafnode/leafnode-(.*)\.tar\.bz2

## leafnode 1.11.11

=== debian/changelog ===
leafnode (1.11.11-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 1.9.14-1.
  * Update standards version to 4.6.0, no changes needed.
  * Add missing build dependency on dh addon.

  [ Moritz Muehlenhoff ]
  * Switch to dh
  * Trim Suggests
  * Remove Robert Grimm from uploaders, with many thanks to past contributions

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 05 Jan 2022 00:13:14 +0100

leafnode (1.11.11-4) unstable; urgency=medium

  * Add Homepage: and Vcs-* headers (pointing to Salsa) to debian/control

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 28 Dec 2021 00:53:04 +0100

leafnode (1.11.11-3) unstable; urgency=medium

  * Fix FTCBFS, thanks Helmut! (Closes: #982463)
    - Pass --build/--host to ./configure
    - Honour DEB_BUILD_OPTIONS=nocheck

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 23 Feb 2021 22:51:04 +0100

leafnode (1.11.11-2) unstable; urgency=medium

  * Debhelper compat 12

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 15 Nov 2020 21:03:49 +0100

leafnode (1.11.11-1) unstable; urgency=medium

  * New upstream release
  * Update watch file, thanks Andreas Metzler (Closes: #850586)
  * Use Debian compat level 9

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 30 Dec 2017 22:37:04 +0100

=== debian/control ===
Source: leafnode
Section: news
Priority: optional
Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Standards-Version: 4.6.0
Build-Depends: libpcre3-dev, debhelper-compat (= 12), debhelper
Homepage: https://www.leafnode.org
Vcs-Git: https://salsa.debian.org/debian/leafnode.git
Vcs-Browser: https://salsa.debian.org/debian/leafnode

Package: leafnode
Architecture: any
Provides: news-transport-system
Conflicts: news-transport-system, newsx
Depends: netbase, openbsd-inetd | inet-superserver, tcpd, logrotate, ${shlibs:Depends}, ${misc:Depends}
Suggests: perl
Homepage: http://leafnode.org/
Description: NNTP server for small sites
 Leafnode is a news server suitable for small, limited-bandwidth sites
 with only a few users ('leaf' sites). It keeps track of which groups
 are being read, and downloads only articles in those groups. Leafnode
 has been designed to require no maintenance and to be easy to set up.
 .
 Perl is required to use some optional features of the package for
 handling very low volume newsgroups.

=== debian/rules ===
#!/usr/bin/make -f

dpkg-buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags

%:
	dh $@

override_dh_auto_build:
	cp FAQ.* debian
	cp t.pcre_extract debian
	./configure \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--with-spooldir=/var/spool/news \
		--sysconfdir=/etc/news/leafnode \
		$(shell $(dpkg-buildflags) --export=configure)
	$(MAKE)
	$(MAKE) README-FQDN

dh_auto_test:
	$(MAKE) check

override_dh_install:
	$(MAKE) DESTDIR=debian/leafnode/ mandir=/usr/share/man install
	rm debian/leafnode/etc/news/leafnode/config.example
	rm debian/leafnode/etc/news/leafnode/*.dist
	rm debian/leafnode/etc/news/leafnode/UNINSTALL-daemontools
	cp debian/filters debian/leafnode/etc/news/leafnode/
	cp debian/touch_newsgroup debian/leafnode/usr/bin
	cp debian/touch_newsgroup.1 debian/leafnode/usr/share/man/man1
	cp config.example debian/leafnode/usr/share/leafnode
	cp debian/debian-config debian/leafnode/usr/share/leafnode
	cp debian/do-fetch-news debian/leafnode/etc/news/leafnode/do-fetch-news
	chown -R news:news debian/leafnode/var/spool/news
	chmod 2755 debian/leafnode/var/spool/news
	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
	rm debian/leafnode/etc/news/leafnode/filters.example

override_dh_installexamples:
	dh_installexamples tools/archivefaq.pl filters.example
	(cd debian/leafnode/usr/share/doc/leafnode/examples ; ln -s ../../../leafnode/config.example . )

## leafnode 1.12.0

=== debian/changelog ===
leafnode (1.12.0-4) unstable; urgency=medium

  * Add a leafnode-fetchnews.timer systemd which fetches news updates
    hourly, but don't enable it by default. It should do what most
    people need for most sites.
  - No longer ship leafnode.cron.d, replaced by an (opt-in) systemd
    timer, existing installations can keep it installed or simply
    remove it.
  - Stop shipping /etc/news/leafnode/do-fetch-news, no longer needed
    for new installations given the cron.d has been removed.
  - Add README.Debian section on new systemd timer
  * Remove obsolete ppp.ip-down/ppp.if-up files

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 06 Jan 2025 20:07:51 +0100

leafnode (1.12.0-3) unstable; urgency=medium

  * Import changes from NMU, thanks to Paulo Henrique de Lima Santana
    (Closes: #1026406)
  * Set Rules-Requires-Root: binary-targets, we need to chown to the
    "news" user provided by base-passwd (Closes: #1089357)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 11 Dec 2024 11:04:57 +0100

leafnode (1.12.0-2) unstable; urgency=medium

  * Install a socket-enabled systemd unit:
   - The unit is not enabled by default: there's no clear consensus
     in Debian whether socket-enabled systemd generally phases out
     inetd invocation at this point and non-systemd continues to
     see support still.
   - here's no longer any registration of inetd/nntp service
     in postinst
   - Instead provide a README.Debian describing the options of either
     enabling the systemd unit or instead to configure inetd instead
   - Demote update-inetd, openbsd-inetd | inet-superserver, tcpd
     dependencies to Suggests:
   - Drop the debconf questions related to tcpd (and also the obsolete
     question about PPP (debconf will eventually be removed entirely
     at some point, it serves hardly any purpose other than setting
     the upstream news server, which can be replaced by simply editing
     a config file)
    (Closes: #1027788, #660569, #719749, #638791)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Jan 2023 12:15:56 +0100

leafnode (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0, in a sense also (Closes: #989086)
  * Switch to PCRE2 (Closes: #1000110)
  * Use debhelper 13

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 01 Jun 2022 21:09:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: news
 Priority: optional
 Maintainer: Moritz Muehlenhoff <jmm@debian.org>
-Standards-Version: 4.6.0
-Build-Depends: libpcre3-dev, debhelper-compat (= 12), debhelper
+Standards-Version: 4.6.2
+Build-Depends: libpcre2-dev, debhelper-compat (= 13), debhelper
 Homepage: https://www.leafnode.org
 Vcs-Git: https://salsa.debian.org/debian/leafnode.git
 Vcs-Browser: https://salsa.debian.org/debian/leafnode
+Rules-Requires-Root: binary-targets
 
 Package: leafnode
 Architecture: any
 Provides: news-transport-system
 Conflicts: news-transport-system, newsx
-Depends: netbase, openbsd-inetd | inet-superserver, tcpd, logrotate, ${shlibs:Depends}, ${misc:Depends}
-Suggests: perl
+Depends: netbase, logrotate, ${shlibs:Depends}, ${misc:Depends}
+Suggests: update-inetd, openbsd-inetd | inet-superserver, tcpd, perl
 Homepage: http://leafnode.org/
 Description: NNTP server for small sites
  Leafnode is a news server suitable for small, limited-bandwidth sites

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	dh $@
 
 override_dh_auto_build:
-	cp FAQ.* debian
 	cp t.pcre_extract debian
 	./configure \
 		--build=$(DEB_BUILD_GNU_TYPE) \
@@ -17,24 +16,27 @@
 		$(shell $(dpkg-buildflags) --export=configure)
 	$(MAKE)
 	$(MAKE) README-FQDN
+	$(MAKE) FAQ.txt
 
 dh_auto_test:
 	$(MAKE) check
 
+
+override_dh_installsystemd:
+	dh_installsystemd -pleafnode leafnode@.service leafnode.socket
+	dh_installsystemd -pleafnode --no-enable leafnode.socket
+	dh_installsystemd -pleafnode --name=leafnode-fetchnews --no-enable leafnode-fetchnews.timer leafnode-fetchnews.service
+
 override_dh_install:
 	$(MAKE) DESTDIR=debian/leafnode/ mandir=/usr/share/man install
 	rm debian/leafnode/etc/news/leafnode/config.example
-	rm debian/leafnode/etc/news/leafnode/*.dist
-	rm debian/leafnode/etc/news/leafnode/UNINSTALL-daemontools
 	cp debian/filters debian/leafnode/etc/news/leafnode/
 	cp debian/touch_newsgroup debian/leafnode/usr/bin
 	cp debian/touch_newsgroup.1 debian/leafnode/usr/share/man/man1
 	cp config.example debian/leafnode/usr/share/leafnode
 	cp debian/debian-config debian/leafnode/usr/share/leafnode
-	cp debian/do-fetch-news debian/leafnode/etc/news/leafnode/do-fetch-news
 	chown -R news:news debian/leafnode/var/spool/news
 	chmod 2755 debian/leafnode/var/spool/news
-	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
 	rm debian/leafnode/etc/news/leafnode/filters.example
 
 override_dh_installexamples:

## leafnode 2.0.0.alpha20090406a

=== debian/changelog ===
leafnode (2.0.0.alpha20090406a-1) experimental; urgency=low

  * New upstream version.
  * Install lsmac.pl and make_pass.pl in /usr/share/doc/leafnode/examples.
  * Rename moderators.5 to leafnode-moderators.5 and mention the new name in
    NEWS.Debian (closes: #518645).
  * Install empty moderators file with a comment, mentioning the new name of
    the manpage.
  * Added dont_use_sizeof.patch (closes: #566782).
  * Add pkg-config as build dependency
  * Removed obsolete suggestion of libnet-perl.
  * Standards version 3.8.4
  * Switch to dpkg source 3.0 (quilt) format.

 -- Robert Grimm <rob@robgri.de>  Thu, 04 Feb 2010 15:42:15 +0100

leafnode (2.0.0.alpha20070602a-2) experimental; urgency=low

  * Provide an empty local.groups since fetchnews insists on warning about it.

 -- Mark Brown <broonie@debian.org>  Sat, 14 Jul 2007 18:36:12 +0100

leafnode (2.0.0.alpha20070602a-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 14 Jul 2007 17:31:29 +0100

leafnode (2.0.0.alpha20070108a-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 27 Feb 2007 19:51:50 +0000

leafnode (2.0.0.alpha20061010a-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun, 22 Oct 2006 20:06:31 +0100

leafnode (2.0.0.alpha20060831a-2) experimental; urgency=low

  * Run "texpire -r" on upgrade from Leafnode 1.

 -- Mark Brown <broonie@debian.org>  Sun,  8 Oct 2006 22:25:58 +0100

leafnode (2.0.0.alpha20060831a-1) experimental; urgency=low

  * New upstream release.
   - Any configured server can now be specified on the fetchnews command
     line (closes: #70509).
   - Since Leafnode is no longer a simple proxy for the upstream servers
     upstream articles are not posted then refetched (closes: #171821).
   - Posting can now be disabled in fetchnews (closes: #230959).
  * Packaging uses some work from the out of archive packages provided
    by Matej Cepl <ceplm@seznam.cz>.
  * PAM support is enabled in leafnode 2 packages.
  * Build depend on lynx.
  * No files are converted during upgrade: local.groups was not supported in
    version 1 and the filtering changes are not suitable for automatic
    upgrade.
  * Needs Lynx for HTML generation.
  * On upgrade from pre-2.0 versions create an empty local.groups and re-fetch
    the active file.
  * Don't create message.id in postinst any more.

 -- Mark Brown <broonie@debian.org>  Sun,  8 Oct 2006 15:10:28 +0100

=== debian/control ===
Source: leafnode
Section: news
Priority: extra
Maintainer: Robert Grimm <rob@robgri.de> 
Standards-Version: 3.8.4
Build-Depends: libpcre3-dev, debhelper (>= 7.0.15), libpam0g-dev, lynx, pkg-config

Package: leafnode
Architecture: any
Provides: news-transport-system
Conflicts: news-transport-system, newsx
Depends: netbase, tcpd, logrotate, openbsd-inetd | inet-superserver,
 ${shlibs:Depends}, ${misc:Depends}
Suggests: slrn | news-reader, ${perl:Depends} 
Description: NNTP server for small leaf sites
 Leafnode is a news server suitable for small, limited-bandwidth sites 
 with only a few users. Leafnode keeps track of which groups are being
 read, and downloads only articles in those groups. Leafnode has been
 designed to require no maintenance and to be easy to set up.
 .
 Perl is required to use some optional features of the package for handling
 very low volume newsgroups.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL=/bin/sh

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr \
		--enable-spooldir=/var/spool/news \
		--disable-lua \
	    	--sysconfdir=/etc/news/leafnode \
	    	--with-pam
	$(MAKE)
	$(MAKE) README
	$(MAKE) check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) -i distclean
	rm -f config.log
	rm -f debian/*~
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs 
	$(MAKE) DESTDIR=debian/leafnode/ mandir=/usr/share/man install
	rm debian/leafnode/usr/bin/lsmac.pl
	rm debian/leafnode/usr/share/man/man1/lsmac.1
	mv debian/leafnode/usr/sbin/sendbatch.bash debian/leafnode/usr/bin/sendbatch
	rm debian/leafnode/etc/news/leafnode/*.example
	cp debian/filters debian/leafnode/etc/news/leafnode/
	cp debian/touch_newsgroup debian/leafnode/usr/bin
	cp debian/touch_newsgroup.1 debian/leafnode/usr/share/man/man1	
	cp debian/moderators debian/leafnode/etc/news/leafnode/
	cp debian/bug debian/leafnode/usr/share/bug/leafnode
	chmod +x debian/leafnode/usr/share/bug/leafnode
	dh_installdocs
	cp config.example debian/leafnode/usr/share/leafnode
	cp debian/debian-config debian/leafnode/usr/share/leafnode
	cp debian/do-fetch-news debian/leafnode/etc/news/leafnode/do-fetch-news
	dh_installexamples tools/archivefaq.pl tools/lsmac.pl tools/make_pass.pl filters.example
	(cd debian/leafnode/usr/share/doc/leafnode/examples ; ln -s ../../../leafnode/config.example . )
	mv debian/leafnode/usr/share/man/man5/moderators.5 debian/leafnode/usr/share/man/man5/leafnode-moderators.5
	touch debian/leafnode/etc/news/leafnode/local.groups
	dh_installmenu
	dh_installdebconf
	dh_installcron
	dh_installchangelogs
	dh_installppp
	dh_installlogcheck
	dh_installlogrotate
	dh_strip
	dh_compress
	dh_fixperms
	chown -R news:news debian/leafnode/var/spool/news
	chmod 2775 debian/leafnode/var/spool/news
	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
	dh_installdeb
	dh_shlibdeps
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3

opts="uversionmangle=s/.luascript//" \
http://home.pages.de/~mandree/leafnode/beta/leafnode-(.*)\.tar.bz2
